searchData={"items":[{"type":"module","title":"StatsdMetric","doc":"A fast StatsD / DogStatsD metric encoder and single-pass parser.\n\n`StatsdMetric` supports all standard StatsD metric types:\n\n* Counter\n* Gauge\n* Histogram\n* Timer\n* Set\n* Meter\n\nIt also supports DogStatsD sample rates and tags.","ref":"StatsdMetric.html"},{"type":"module","title":"Encoding Example - StatsdMetric","doc":"Encoding supports IO list and string return types.\n\n    iex> StatsdMetric.encode(\"name.spaced\", 1.0, :counter)\n    [\"name.spaced\", 58, \"1.0\", 124, \"c\"]\n\n    iex> StatsdMetric.encode_to_string(\"name.spaced\", 1.0, :counter)\n    \"name.spaced:1.0|c\"","ref":"StatsdMetric.html#module-encoding-example"},{"type":"module","title":"Parsing Example - StatsdMetric","doc":"iex> StatsdMetric.decode!(\"name.spaced:1.0|c|@0.1|#foo:bar\")\n    %StatsdMetric{\n      key: \"name.spaced\",\n      value: 1.0,\n      type: :counter,\n      sample_rate: 0.1,\n      tags: %{\"foo\" => \"bar\"}\n    }","ref":"StatsdMetric.html#module-parsing-example"},{"type":"function","title":"StatsdMetric.decode/1","doc":"Parses a StatsD metric into a `%StatsdMetric{}`.\n\n    iex> StatsdMetric.decode(\"name.spaced:1.0|c|@0.1|#foo:bar\")\n    {:ok, %StatsdMetric{\n      key: \"name.spaced\",\n      value: 1.0,\n      type: :counter,\n      sample_rate: 0.1,\n      tags: %{\"foo\" => \"bar\"}\n    }}","ref":"StatsdMetric.html#decode/1"},{"type":"function","title":"StatsdMetric.decode!/1","doc":"Parses a StatsD metric into a `%StatsdMetric{}`.\n\n    iex> StatsdMetric.decode!(\"name.spaced:1.0|c|@0.1|#foo:bar\")\n    %StatsdMetric{\n      key: \"name.spaced\",\n      value: 1.0,\n      type: :counter,\n      sample_rate: 0.1,\n      tags: %{\"foo\" => \"bar\"}\n    }\n\nIf the metric is invalid, it raises one of:\n\n- `StatsdMetric.EmptyError`\n- `StatsdMetric.NoKeyError`\n- `StatsdMetric.NoValueError`\n- `StatsdMetric.NoTypeError`","ref":"StatsdMetric.html#decode!/1"},{"type":"function","title":"StatsdMetric.encode/4","doc":"Encodes a `%StatsdMetric{}` into a StatsD metric IO list.\n\n    iex> StatsdMetric.encode(\"name.spaced\", 1.0, :counter)\n    [\"name.spaced\", 58, \"1.0\", 124, \"c\"]","ref":"StatsdMetric.html#encode/4"},{"type":"function","title":"StatsdMetric.encode_to_string/4","doc":"Encodes a `%StatsdMetric{}` into a StatsD metric string.\n\n    iex> StatsdMetric.encode_to_string(\"name.spaced\", 1.0, :counter)\n    \"name.spaced:1.0|c\"","ref":"StatsdMetric.html#encode_to_string/4"},{"type":"type","title":"StatsdMetric.t/0","doc":"","ref":"StatsdMetric.html#t:t/0"},{"type":"exception","title":"StatsdMetric.BadValueError","doc":"An exception raised when the stat passed to the decoder has a value that can't\nbe parsed into a float.","ref":"StatsdMetric.BadValueError.html"},{"type":"exception","title":"StatsdMetric.EmptyError","doc":"An exception raised when the stat passed to the decoder is empty.","ref":"StatsdMetric.EmptyError.html"},{"type":"exception","title":"StatsdMetric.NoKeyError","doc":"An exception raised when the stat passed to the decoder has no key.","ref":"StatsdMetric.NoKeyError.html"},{"type":"exception","title":"StatsdMetric.NoTypeError","doc":"An exception raised when the stat passed to the decoder has no type.","ref":"StatsdMetric.NoTypeError.html"},{"type":"exception","title":"StatsdMetric.NoValueError","doc":"An exception raised when the stat passed to the decoder has no value.","ref":"StatsdMetric.NoValueError.html"}],"content_type":"text/markdown"}